Bug 1539564 - nvml: Missing -lpthread for some library links
Summary: nvml: Missing -lpthread for some library links
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nvml
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Krzysztof Czurylo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28ElfLinking
TreeView+ depends on / blocked
 
Reported: 2018-01-29 08:18 UTC by Florian Weimer
Modified: 2018-04-05 11:46 UTC (History)
1 user (show)

Fixed In Version: nvml-1.4-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-05 11:46:31 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1539562 0 unspecified CLOSED nvml: redhat-rpm-config linker flags not injected into build 2021-02-22 00:41:40 UTC

Internal Links: 1539562

Description Florian Weimer 2018-01-29 08:18:23 UTC
/usr/lib64/libpmempool.so.1.0.0 and /usr/lib64/librpmem.so.1.0.0 use libpthread functions, but are not correctly linked against libpthread.  This produces invalid DSOs which lack full dependency information and may not be loaded correctly by the dynamic linker.

Comment 1 Fedora End Of Life 2018-02-20 15:25:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Fedora Update System 2018-03-30 12:06:13 UTC
nvml-1.4-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4f96e400d5

Comment 3 Fedora Update System 2018-03-30 15:18:52 UTC
nvml-1.4-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4f96e400d5

Comment 4 Fedora Update System 2018-04-05 11:46:31 UTC
nvml-1.4-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.